scala.tools.nsc.interpreter

# NamedParam

#### object NamedParam extends NamedParamCreator

Linear Supertypes
NamedParamCreator, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamedParam
2. NamedParamCreator
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Typed [T] extends NamedParam

2. #### class Untyped extends NamedParam

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply[T](x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam

   Definition Classes
     NamedParamCreator

7. #### def apply[T](name: String, x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam

   Definition Classes
     NamedParamCreator

8. #### def apply(name: String, tpe: String, value: Any): NamedParam

   Definition Classes
     NamedParamCreator

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clazz(x: Any): NamedParam

    Definition Classes
      NamedParamCreator

11. #### def clazz(name: String, x: Any): NamedParam

    Definition Classes
      NamedParamCreator

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### val freshName: () ⇒ String

    Attributes
      protected
    Definition Classes
      NamedParam → NamedParamCreator

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### implicit def namedValue[T](name: String, x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam

    Definition Classes
      NamedParamCreator

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### implicit def tuple[T](pair: (String, T))(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): NamedParam

    Definition Classes
      NamedParamCreator

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from NamedParamCreator

### Inherited from AnyRef

### Inherited from Any

### Ungrouped